Problème avec paquet texlive-latex-base

Tout ce qui concerne l'utilisation ou l'installation de LaTeX.

Modérateur: gdm_tex

Règles du forum
Merci d'éviter le style SMS dans vos messages et de penser à utiliser la fonction Recherche avant de poster un message. Pour joindre des fichiers à vos messages, consulter ce sujet.
> Penser à utiliser les balises Code pour poster du code.

Problème avec paquet texlive-latex-base

Messagepar tromm » Mercredi 17 Septembre 2014, 21:26

Bonjour à tous,

J'ai un petit problème suite à mon instalation de latex.

Je viens d'installer latex de la manière suivante :
1/ J'ai téléchargé l'archive : install-tl-20140916 que j'ai ensuite décompressé.
2/ J'ai installé les paquets suivant : tex-common texinfo equivs perl-tk perl-doc
3/ Je me suis finalement placé dans le réperoire install-tl-20140916 et j'ai lancé l'installation en mode graphique avec la commande : ./install-tl
Au passage, j'ai supprimé quelques languages inutiles...

L'installation terminée. Je teste sur un exemple avec Emacs.
Celui ci me retourne l'erreur suivante :
Code: Tout sélectionner
The program 'pdflatex' is currently not installed.  To run 'pdflatex' please ask your administrator to install the package 'texlive-latex-base'


Est ce que quelqu'un pourrait m'aider parce que je galère un peu ?
Merci beaucoup à tous !
tromm
Utilisateur
 
Messages: 2
Inscription: Mercredi 17 Septembre 2014, 20:55
Statut actuel: Post-bac | Master

Publicité

Re: Problème avec paquet texlive-latex-base

Messagepar rebouxo » Mercredi 17 Septembre 2014, 22:17

Il faut régler le PATH (qui n'est pas fait par l’installateur).
Personnellement, je met dans /etc/profile/ (mais ce n'est pas le seul endroit possible) les lignes suivantes :
Code: Tout sélectionner
# Modification pour TeXlive
PATH=/usr/local/texlive/2014/bin/x86_64-linux:$PATH; export PATH
MANPATH=/usr/local/texlive/2014/texmf/doc/man:$MANPATH; export MANPATH
INFOPATH=/usr/local/texlive/2014/texmf/doc/info:$INFOPATH; export INFOPATH


Avantage, c'est valable pour tout les utilisateurs. Désavantage, faire attention aux erreurs de frappe, car on peut perdre l'interface graphique... JJR préfère faire un lien symbolique depuis ton home vers l'emplacement de TeXlive...

Ton système saura que TeX est présent, mais le gestionnaire de paquets, lui l'ignore complètement. Donc, il se peut que tu sois obliger d'installer TeXlive des dépôts. Cela ne pose aucun problème, pourvu que le PATH soit bien régler.
Olivier
A line is a point that went for a walk. Paul Klee
Par solidarité, pas de MP
rebouxo
Modérateur
 
Messages: 6959
Inscription: Mercredi 15 Février 2006, 13:18
Localisation: le havre
Statut actuel: Actif et salarié | Enseignant

Re: Problème avec paquet texlive-latex-base

Messagepar tromm » Jeudi 18 Septembre 2014, 10:37

Merci beaucoup pour cette réponse rapide.
J'ai fais les modications et ça a l'air de compiler.
Cependant, lorsque j'essaie de compiler un exemple de moderncv, d'autres erreurs aoparaissent :
Code: Tout sélectionner
This is pdfTeX, Version 3.14159265-2.6-1.40.15 (TeX Live 2014) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
LaTeX2e <2014/05/01>
Babel <3.9k> and hyphenation patterns for 6 languages loaded.

(./template.tex

! LaTeX Error: File `moderncv.cls' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: cls)

Enter file name:
! Emergency stop.
<read *>
         
l.10 ^^M
       
!  ==> Fatal error occurred, no output PDF file produced!
Transcript written on template.log.


Savez vous comment résoudre ça ?
Merci beaucoup.
tromm
Utilisateur
 
Messages: 2
Inscription: Mercredi 17 Septembre 2014, 20:55
Statut actuel: Post-bac | Master


Retourner vers LaTeX

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Bing [Bot], Google [Bot], Grapeshot [Crawler] et 7 invités